---
title: "Update a Team"
slug: "update-a-team"
updated: 2026-09-03T14:50:33Z
published: 2026-09-03T14:50:33Z
canonical: "developer.rocket.chat/update-a-team"
stale: true
---
> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.
# Update a Team
Post/api/v1/teams.update
Updates an existing team (name and type).
Permission required: `edit-team`
Header parametersX-Auth-TokenstringRequired
The `authToken` of the authenticated user.
ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired
The `userId` of the authenticated user.
ExamplerbAXPnMktTFbNpwtJ
Body parametersExample
```json
{
"teamId": "ByehQjC44FwMeiLbX",
"data": {
"name": "newTeamName",
"type": 1
}
}
```
Expand Allobject teamIdstring Required
The team ID.
dataobject Required
The new team name and type (0 - public, 1 - private).
namestring
typeinteger
Responses200
OK
Success
```json
{
"success": true
}
```
object successboolean
401
Unauthorized
Authorization Error
```json
{
"status": "error",
"message": "You must be logged in to do this."
}
```
object statusstring
messagestring